<div class="container-fluid">
	<p class="title">
		Assessment Maintenance > <i>Add a new Question</i>
	</p>
	<div class="card">
		<div class="card-header title">Add a New Question</div>
		<div class="card-block">
			<div class="row mb-2">
				<label class="col-sm-3 form-control-label heading">
					Requirement Category:</label> <select
					class="col-md-5 col-sm-5 col-xs-5 custom-select" name="reqCategory"
					[(ngModel)]="selectedCategory"
					(change)="onSelectedCategory(selectedCategory)">
					<option>--Select Requirement Category--</option>
					<option *ngFor="let requirementCategory of requirementCategories"
						[ngValue]="requirementCategory">{{
						requirementCategory.categoryName}}</option>
				</select>
			</div>
			<form [formGroup]="saqQuestionForm" name="saqQuestion"
				id="saqQuestion">
				<div class="row d-grid mb-2"
					*ngIf="selectedCategory !== '--Select Requirement Category--'">
					<label class="col-sm-3 form-control-label heading">
						Requirement:</label> <select
						class="col-md-5 col-sm-5 col-xs-5 custom-select"
						name="requirement" formControlName="pcidssRequirementId"
						(change)="onSelectedRequirement()">
						<option value="null">--Select Requirement--</option>
						<option *ngFor="let requirement of requirementPerCategory"
							[ngValue]="requirement">{{requirement.requirement}}</option>
					</select>
				</div>
				<div class="card"
					*ngIf="saqQuestionForm.value.pcidssRequirementId !== null">
					<div class="card-block">
						<div class="form-group row">
							<label class="col-md-1 col-sm-1 col-xs-1 heading mr-2">Question#:</label>
							<div class="col-md-3 col-sm-3 col-xs-3">
								<input class="form-control ml-4" type="text"
									name="questionNumber" id="questionNumber"
									formControlName="questionNumber">
								<jhi-display-saq-question-error class="row"
									[control]="saqQuestionForm.controls.questionNumber">
								</jhi-display-saq-question-error>
							</div>
						</div>

						<div class="form-group row">
							<label class="col-md-1 col-sm-1 col-xs-1 heading mr-2">Question:</label>
							<div class="col-sm-10 ml-4">
								<ckeditor name="questionText" formControlName="questionText"
									#ckeditor debounce="200"></ckeditor>
							</div>
						</div>
						<div class="row ml-5">
							<div class="form-check offset-sm-1 offset-md-1 offset-xs-1">
								<label class="form-check-label"> <input
									class="form-check-input" type="checkbox"
									name="responseRequired" formControlName="responseRequired"
									id="responseRequired"> Require user response
								</label>
							</div>
						</div>
						<div class="form-group offset-sm-1"
							*ngIf="saqQuestionForm.value.responseRequired">
							<label
								class="col-md-3 col-sm-3 col-xs-3 ml-5 form-control-label sub-heading"
								jhiTranslate="pcidssApp.expectedTest.home.title"
								for="field_expTest">Expected Testing</label>
							<div class="row ml-5">
								<select
									class="col-md-5 col-xs-5 col-sm-5 mr-4 custom-select selectBox"
									name="requirement" formControlName="selectedExpectedTest"
									(change)="onSelectQuestionExpectedTest()">
									<option value="null">--Select/Add Expected Test--</option>
									<option value="add">+ Add new Expected Test</option>
									<option *ngFor="let expTest of existedExpectedTests"
										[ngValue]="expTest">{{expTest.testName}}</option>
								</select>
								<button class="btn btn-primary float-right"
									*ngIf="!saqQuestionForm.value.addBtnHide"
									(click)="addExpectedTest()">Add</button>
							</div>
							<div class="row ml-5 mt-2"
								*ngIf="saqQuestionForm.value.newExpectedBox">
								<input class="form-control col-md-5 col-xs-5 col-sm-5 ml-3 mr-4"
									name="testName" formControlName="newExpectTest">
								<button class="btn btn-primary float-right"
									(click)="addNewExpTest()">Add</button>
							</div>
							<jhi-display-saq-question-error
								[control]="saqQuestionForm.controls.newExpectTest">
							</jhi-display-saq-question-error>
							<div class="col-md-7 col-xs-7 col-sm-7 mt-2 ml-5"
								formArrayName="expectedTests">
								<label class="form-control-label sub-heading">Added
									Expected Tests</label>
								<div class="form-group"
									*ngFor="let exptestrow of saqQuestionForm.controls.expectedTests.controls; let e=index"
									[formGroupName]="e">
									<i class="fa fa-times-circle fa float-right text-danger"
										(click)="deleteExpectedTestRow(e)" aria-hidden="true"></i>
									<div class="row">
										<input class="form-control col-sm-9" name="testName"
											formControlName="testName" readonly>
									</div>
								</div>
							</div>
						</div>
						<div formArrayName="sections" id="sections">
							<div class="form-group"
								*ngFor="let subqrow of sections.controls; let i=index"
								[formGroupName]="i">
								<div class="card-block">
									<i class="fa fa-times-circle fa-lg float-right text-danger"
										*ngIf="sections.controls.length >= 1"
										(click)="deleteSubSectionsRow(i, 'section')"
										aria-hidden="true"></i> </br>
									<div class="form-group row">
										<label
											class="col-sm-1 col-md-1 col-xs-1 form-control-label heading"
											for="field_SubQNum">Section#:</label>
										<div class="col-sm-3 col-md-3 col-xs-3 ml-5">
											<input class="form-control" type="text" name="questionNumber"
												id="questionNumber" formControlName="questionNumber">
										</div>
									</div>
									<div class="form-group row">
										<label class="col-sm-1 col-md-1 col-xs-1 heading">Question:</label>
										<div class="col-sm-10 ml-5">
											<ckeditor name="questionText" formControlName="questionText"
												#ckeditor debounce="200"></ckeditor>
										</div>
									</div>
									<div class="row">
										<div class="form-check offset-md-2 offset-sm-2 offset-xs-2">
											<label class="form-check-label"> <input
												class="form-check-input" type="checkbox"
												name="responseRequired" formControlName="responseRequired"
												id="responseRequired"> Require user response
											</label>
										</div>
									</div>

									<div class="form-group offset-sm-2 offset-md-2 offset-xs-2"
										*ngIf="saqQuestionForm.value.sections[i].responseRequired">
										<label class="form-control-label sub-heading"
											jhiTranslate="pcidssApp.expectedTest.home.title"
											for="field_expTest">Expected Testing</label>
										<div class="row">
											<select
												class="col-md-5 col-xs-5 col-sm-5 ml-3 mr-4 custom-select"
												name="expectTest" formControlName="selectedExpectedTest"
												(change)="onSelectSectionExpectedTest(i)">
												<option value="null">--Select/Add Expected Test--</option>
												<option value="add">+ Add new Expected Test</option>
												<option *ngFor="let expTest of existedExpectedTests"
													[ngValue]="expTest">{{expTest.testName}}</option>
											</select>
											<button class="btn btn-primary float-right"
												*ngIf="!saqQuestionForm.value.sections[i].addBtnHide"
												(click)="addSectionExpectedTest(i)">Add</button>
										</div>
										<div class="row mt-2"
											*ngIf="saqQuestionForm.value.sections[i].newExpectedBox">
											<input
												class="form-control col-md-5 col-sm-5 col-xs-5 ml-3 mr-4"
												name="testName" formControlName="newExpectTest">
											<button class="btn btn-primary float-right"
												(click)="addSectionNewExpTest(i)">Add</button>
										</div>
										<jhi-display-saq-question-error
											[control]="subqrow.controls.newExpectTest">
										</jhi-display-saq-question-error>
										<div class="mt-2" formArrayName="expectedTests">
											<label class="form-control-label sub-heading">Added
												Expected Tests</label>
											<div class="form-group"
												*ngFor="let exptestrow of getExpectedTest(subqrow); let e=index"
												[formGroupName]="e">
												<i
													class="fa fa-times-circle fa float-right text-danger col-sm-6"
													(click)="deleteSubExpectedTestRow(i, e)" aria-hidden="true"></i>
												<div class="">
													<input class="form-control col-md-5 col-xs-5 col-sm-5"
														name="testName" formControlName="testName" readonly>
												</div>
											</div>
										</div>
									</div>
									<!-- Bullets -->
									<div formArrayName="questions" id="questions">
										<div class="form-group offset-sm-1"
											*ngFor="let point of getPoints(subqrow); let m=index"
											[formGroupName]="m">
											<div class="card-block ml-5 point-container">
												<i class="fa fa-times-circle fa-lg float-right text-danger"
													(click)="deletePointRow(i, m, 'point')" aria-hidden="true"></i>
												</br>
												<div class="form-group row">
													<label
														class="col-md-1 col-sm-1 col-xs-1 form-control-label heading"
														for="field_SubQNum">Bullet Point#:</label>
													<div class="col-md-3 col-sm-3 col-xs-3 ml-4">
														<input class="form-control" type="text"
															name="questionNumber" id="questionNumber"
															formControlName="questionNumber">
													</div>
												</div>
												<div class="form-group row">
													<label class="col-md-1 col-sm-1 col-xs-1 heading">Question:</label>
													<div class="col-sm-10 ml-4">
														<ckeditor name="questionText"
															formControlName="questionText" #ckeditor debounce="200"></ckeditor>
													</div>
												</div>
												<div class="row">
													<div class="form-check offset-md-2 offset-sm-2 offset-xs-2">
														<label class="form-check-label"> <input
															class="form-check-input" type="checkbox"
															name="subresponseRequired"
															formControlName="responseRequired"
															id="subresponseRequired"> Require user response
														</label>
													</div>
												</div>
												<div class="form-group offset-md-2 offset-sm-2 offset-xs-2"
													*ngIf="saqQuestionForm.value.sections[i].questions[m].responseRequired">
													<label class="ml-2 form-control-label sub-heading"
														jhiTranslate="pcidssApp.expectedTest.home.title"
														for="field_expTest">Expected Testing</label>
													<div class="row ml-2">
														<select
															class="col-md-6 col-sm-6 col-xs-6 mr-4 custom-select"
															name="expectTest" formControlName="selectedExpectedTest"
															(change)="onSelectPointExpectedTest(i, m)">
															<option value="null">--Select/Add Expected
																Test--</option>
															<option value="add">+ Add new Expected Test</option>
															<option *ngFor="let expTest of existedExpectedTests"
																[ngValue]="expTest">{{expTest.testName}}</option>
														</select>
														<button class="btn btn-primary float-right"
															*ngIf="!saqQuestionForm.value.sections[i].questions[m].addBtnHide"
															(click)="addPointExpectedTest(i, m)">Add</button>
													</div>
													<div class="row ml-2 mt-2"
														*ngIf="saqQuestionForm.value.sections[i].questions[m].newExpectedBox">
														<input
															class="form-control col-md-6 col-sm-6 col-xs-6 mr-4"
															name="testName" formControlName="newExpectTest">
														<button class="btn btn-primary float-right"
															(click)="addPointNewExpTest(i, m)">Add</button>

													</div>
													<jhi-display-saq-question-error
														[control]="point.controls.newExpectTest">
													</jhi-display-saq-question-error>
													<div class="mt-2" formArrayName="expectedTests">
														<label class="form-control-label ml-2 sub-heading">Added
															Expected Tests</label>
														<div class="form-group"
															*ngFor="let exptestrow of getExpectedTest(point); let e=index"
															[formGroupName]="e">
															<i
																class="fa fa-times-circle fa float-right text-danger col-sm-5"
																(click)="deletePointExpectedTestRow(i, m, e)"
																aria-hidden="true"></i>
															<div class="">
																<input
																	class="form-control col-md-6 col-sm-6 col-xs-5 ml-2"
																	name="testName" formControlName="testName" readonly>
															</div>
														</div>
													</div>
												</div>
											</div>
										</div>
									</div>
									<hr
										class="offset-md-2 offset-sm-2 offset-xs-2 col-sm-9 float-left subq-hr">
									<button
										class="offset-md-2 offset-sm-2 offset-xs-2 col-md-3 col-sm-3 col-xs-3 btn text-only-subq-btn float-left"
										(click)="addNewPointRow(i)">
										<span class="fa fa-plus fa-md"></span>&nbsp;Add a bullet point
									</button>
								</div>
							</div>
						</div>
						<hr class="col-sm-10">
						<button
							class="offset-md-1 col-md-2 offset-sm-1 col-sm-2 offset-xs-1 col-xs-2 btn text-only-subq-btn float-left"
							(click)="addNewSubSectionsRow()"
							*ngIf="!disableSectionSubQuestionBtn">
							<span class="fa fa-plus fa-md"></span>&nbsp;Add a section
						</button>
						<div formArrayName="questions" id="questions">
							<div class="form-group mt-5 subq-container"
								*ngFor="let subqrow of questions.controls; let i=index"
								[formGroupName]="i">
								<div class="card-block">
									<i class="fa fa-times-circle fa-lg float-right text-danger"
										*ngIf="questions.controls.length >= 1"
										(click)="deleteSubquestionRow(i, 'subquestion')"
										aria-hidden="true"></i> </br>
									<div class="form-group row">
										<label
											class="col-md-1 col-sm-1 col-xs-1 form-control-label heading"
											for="field_SubQNum">SubQuestion#:</label>
										<div class="col-md-3 col-sm-3 col-xs-3 ml-5">
											<input class="form-control" type="text" name="questionNumber"
												id="questionNumber" formControlName="questionNumber">
										</div>
									</div>
									<div class="form-group row">
										<label class="col-md-1 col-sm-1 col-xs-1 heading">SubQuestion:</label>
										<div class="col-sm-10 ml-5">
											<ckeditor name="questionText" formControlName="questionText"
												#ckeditor debounce="200"></ckeditor>
										</div>
									</div>
									<div class="row">
										<div class="form-check offset-sm-2 offset-md-2 offset-xs-2">
											<label class="form-check-label"> <input
												class="form-check-input" type="checkbox"
												name="subresponseRequired"
												formControlName="responseRequired" id="subresponseRequired">
												Require user response
											</label>
										</div>
									</div>
									<div class="form-group offset-sm-2 offset-md-2 offset-xs-2"
										*ngIf="saqQuestionForm.value.questions[i].responseRequired">
										<label class="form-control-label sub-heading ml-2"
											jhiTranslate="pcidssApp.expectedTest.home.title"
											for="field_expTest">Expected Testing</label>
										<div class="row ml-2">
											<select class="col-md-5 col-sm-5 col-xs-5 mr-4 custom-select"
												name="expectTest" formControlName="selectedExpectedTest"
												(change)="onSelectSubQuestionExpectedTest(i)">
												<option value="null">--Select/Add Expected Test--</option>
												<option value="add">+ Add new Expected Test</option>
												<option *ngFor="let expTest of existedExpectedTests"
													[ngValue]="expTest">{{expTest.testName}}</option>
											</select>
											<button class="btn btn-primary float-right"
												*ngIf="!saqQuestionForm.value.questions[i].addBtnHide"
												(click)="addQuestionsExpectedTest(i)">Add</button>
										</div>
										<div class="row mt-2 ml-2"
											*ngIf="saqQuestionForm.value.questions[i].newExpectedBox">
											<input class="form-control col-md-5 col-sm-5 col-xs-5 mr-4"
												name="testName" formControlName="newExpectTest">
											<button class="btn btn-primary float-right"
												(click)="addQuestionsNewExpTest(i)">Add</button>
										</div>
										<jhi-display-saq-question-error
											[control]="subqrow.controls.newExpectTest">
										</jhi-display-saq-question-error>
										<div class="mt-2 ml-2" formArrayName="expectedTests">
											<label class="form-control-label sub-heading">Added
												Expected Tests</label>
											<div class="form-group"
												*ngFor="let exptestrow of getExpectedTest(subqrow); let e=index"
												[formGroupName]="e">
												<i
													class="fa fa-times-circle fa float-right text-danger col-sm-6"
													(click)="deleteSubQuestionExpectedTestRow(i, e)"
													aria-hidden="true"></i>
												<div class="">
													<input class="form-control col-md-5 col-sm-5 col-xs-5 ml-2"
														name="testName" formControlName="testName" readonly>
												</div>
											</div>
										</div>
									</div>
									<div formArrayName="sections" id="sections">
										<div class="form-group"
											*ngFor="let subsubqrow of getSubsubSections(subqrow); let j=index"
											[formGroupName]="j">
											<div class="card-block">
												<i class="fa fa-times-circle fa-lg float-right text-danger"
													(click)="deleteSubsubSectionsRow(i, j, 'section')"
													aria-hidden="true"></i> </br>
												<div class="form-group row">
													<label
														class="col-md-1 col-sm-1 col-xs-1 form-control-label heading"
														for="field_SubQNum">Section#:</label>
													<div class="col-md-3 col-sm-3 col-xs-3 ml-5">
														<input class="form-control" type="text"
															name="questionNumber" id="questionNumber"
															formControlName="questionNumber">
													</div>
												</div>
												<div class="form-group row">
													<label class="col-md-1 col-sm-1 col-xs-1 heading">Question:</label>
													<div class="col-sm-10 ml-5">
														<ckeditor name="questionText"
															formControlName="questionText" #ckeditor debounce="200"></ckeditor>
													</div>
												</div>
												<div class="row offset-md-1 offset-sm-1 offset-xs-1">
													<div class="form-check col-md-4 col-sm-4 col-xs-4 ml-5">
														<label class="form-check-label"> <input
															class="form-check-input" type="checkbox"
															name="subresponseRequired"
															formControlName="responseRequired"
															id="subresponseRequired"> Require user response
														</label>
													</div>
												</div>
												<div class="form-group offset-md-2 offset-sm-2 offset-xs-2"
													*ngIf="saqQuestionForm.value.questions[i].sections[j].responseRequired">
													<label class="ml-2 form-control-label sub-heading"
														jhiTranslate="pcidssApp.expectedTest.home.title"
														for="field_expTest">Expected Testing</label>
													<div class="row ml-2">
														<select
															class="col-md-5 col-sm-5 col-xs-5 mr-4 custom-select"
															name="expectTest" formControlName="selectedExpectedTest"
															(change)="onSelectSubSectionExpectedTest(i, j)">
															<option value="null">--Select/Add Expected
																Test--</option>
															<option value="add">+ Add new Expected Test</option>
															<option *ngFor="let expTest of existedExpectedTests"
																[ngValue]="expTest">{{expTest.testName}}</option>
														</select>
														<button class="btn btn-primary float-right"
															*ngIf="!saqQuestionForm.value.questions[i].sections[j].addBtnHide"
															(click)="addSubSectionsExpectedTest(i, j)">Add</button>
													</div>
													<div class="row ml-2 mt-2"
														*ngIf="saqQuestionForm.value.questions[i].sections[j].newExpectedBox">
														<input
															class="form-control col-md-5 col-sm-5 col-xs-5 mr-4"
															name="testName" formControlName="newExpectTest">
														<button class="btn btn-primary float-right"
															(click)="addSubSectionsNewExpTest(i, j)">Add</button>

													</div>
													<jhi-display-saq-question-error
														[control]="subsubqrow.controls.newExpectTest">
													</jhi-display-saq-question-error>
													<div class="mt-2" formArrayName="expectedTests">
														<label class="form-control-label ml-2 sub-heading">Added
															Expected Tests</label>
														<div class="form-group"
															*ngFor="let exptestrow of getExpectedTest(subsubqrow); let e=index"
															[formGroupName]="e">
															<i
																class="fa fa-times-circle fa float-right text-danger col-sm-6"
																(click)="deleteSubSubExpectedTestRow(i, j, e)"
																aria-hidden="true"></i>
															<div class="">
																<input
																	class="form-control col-md-5 col-sm-5 col-xs-5 ml-2"
																	name="testName" formControlName="testName" readonly>
															</div>
														</div>
													</div>
												</div>
												<!-- Bullets -->
												<div formArrayName="questions" id="questions">
													<div class="form-group offset-sm-1"
														*ngFor="let point of getSubSectionPoints(subsubqrow); let m=index"
														[formGroupName]="m">
														<div class="card-block ml-5 point-container">
															<i
																class="fa fa-times-circle fa-lg float-right text-danger"
																(click)="deleteSubSectionPointRow(i, j, m, 'subPoint')"
																aria-hidden="true"></i> </br>
															<div class="form-group row">
																<label
																	class="col-md-1 col-sm-1 col-xs-1 form-control-label heading"
																	for="field_SubQNum">Bullet Point#:</label>
																<div class="col-md-3 col-sm-3 col-xs-3 ml-4">
																	<input class="form-control" type="text"
																		name="questionNumber" id="questionNumber"
																		formControlName="questionNumber">
																</div>
															</div>
															<div class="form-group row">
																<label class="col-md-1 col-sm-1 col-xs-1 heading">Question:</label>
																<div class="col-sm-10 ml-4">
																	<ckeditor name="questionText"
																		formControlName="questionText" #ckeditor
																		debounce="200"></ckeditor>
																</div>
															</div>
															<div class="row">
																<div
																	class="form-check offset-md-2 offset-sm-2 offset-xs-2">
																	<label class="form-check-label"> <input
																		class="form-check-input" type="checkbox"
																		name="subresponseRequired"
																		formControlName="responseRequired"
																		id="subresponseRequired"> Require user
																		response
																	</label>
																</div>
															</div>
															<div
																class="form-group offset-md-2 offset-sm-2 offset-xs-2"
																*ngIf="saqQuestionForm.value.questions[i].sections[j].questions[m].responseRequired">
																<label class="ml-2 form-control-label sub-heading"
																	jhiTranslate="pcidssApp.expectedTest.home.title"
																	for="field_expTest">Expected Testing</label>
																<div class="row ml-2">
																	<select
																		class="col-md-6 col-sm-6 col-xs-6 mr-4 custom-select"
																		name="expectTest"
																		formControlName="selectedExpectedTest"
																		(change)="onSelectSubPointExpectedTest(i, j, m)">
																		<option value="null">--Select/Add Expected
																			Test--</option>
																		<option value="add">+ Add new Expected Test</option>
																		<option *ngFor="let expTest of existedExpectedTests"
																			[ngValue]="expTest">{{expTest.testName}}</option>
																	</select>
																	<button class="btn btn-primary float-right"
																		*ngIf="!saqQuestionForm.value.questions[i].sections[j].questions[m].addBtnHide"
																		(click)="addSubPointExpectedTest(i, j, m)">Add</button>
																</div>
																<div class="row ml-2 mt-2"
																	*ngIf="saqQuestionForm.value.questions[i].sections[j].questions[m].newExpectedBox">
																	<input
																		class="form-control col-md-6 col-sm-6 col-xs-6 mr-4"
																		name="testName" formControlName="newExpectTest">
																	<button class="btn btn-primary float-right"
																		(click)="addSubPointNewExpTest(i, j, m)">Add</button>

																</div>
																<jhi-display-saq-question-error
																	[control]="point.controls.newExpectTest">
																</jhi-display-saq-question-error>
																<div class="mt-2" formArrayName="expectedTests">
																	<label class="form-control-label ml-2 sub-heading">Added
																		Expected Tests</label>
																	<div class="form-group"
																		*ngFor="let exptestrow of getExpectedTest(point); let e=index"
																		[formGroupName]="e">
																		<i
																			class="fa fa-times-circle fa float-right text-danger col-sm-5"
																			(click)="deleteSubPointExpectedTestRow(i, j, m, e)"
																			aria-hidden="true"></i>
																		<div class="">
																			<input
																				class="form-control col-md-6 col-sm-6 col-xs-6 ml-2"
																				name="testName" formControlName="testName" readonly>
																		</div>
																	</div>
																</div>
															</div>
														</div>
													</div>
												</div>
												<hr
													class="offset-md-2 offset-sm-2 offset-xs-2 col-sm-9 float-left subsubq-hr">
												<button
													class="offset-md-2 offset-sm-2 offset-xs-2 col-md-3 col-sm-3 col-xs-3 btn text-only-subq-btn float-left"
													(click)="addNewSubSectionPointRow(i, j)">
													<span class="fa fa-plus fa-md"></span>&nbsp;Add a bullet point
												</button>
											</div>
										</div>
									</div>

									<hr
										class="offset-md-1 offset-sm-1 offset-xs-1 col-sm-10 float-left subsubq-hr">
									<button
										class="offset-md-1 offset-sm-1 offset-xs-1 col-md-2 col-sm-2 col-xs-2 btn text-only-subsubq-btn float-left"
										(click)="addNewSubsubSectionsRow(i)">
										<span class="fa fa-plus fa-md"></span>&nbsp;Add a section
									</button>
									<br>
									<div formArrayName="questions" id="questions">
										<div class="form-group mt-3 subsubq-container"
											*ngFor="let subsubqrow of getSubsubQuestion(subqrow); let j=index"
											[formGroupName]="j">
											<div class="card-block">
												<i class="fa fa-times-circle fa-lg float-right text-danger"
													(click)="deleteSubsubQuestionsRow(i, j, 'subquestion')"
													aria-hidden="true"></i> </br>
												<div class="form-group row">
													<label
														class="col-md-1 col-sm-1 col-xs-1 form-control-label heading"
														for="field_SubQNum">SubQuestion#:</label>
													<div class="col-md-3 col-sm-3 col-xs-3 ml-5">
														<input class="form-control" type="text"
															name="questionNumber" id="questionNumber"
															formControlName="questionNumber">
													</div>
												</div>
												<div class="form-group row">
													<label class="col-md-1 col-sm-1 col-xs-1 heading">SubQuestion:</label>
													<div class="col-sm-10 ml-5">
														<ckeditor name="questionText"
															formControlName="questionText" #ckeditor debounce="200"></ckeditor>
													</div>
												</div>
												<div class="row offset-md-1 offset-sm-1 offset-xs-1">
													<div class="form-check col-md-4 col-sm-4 col-xs-4 ml-5">
														<label class="form-check-label"> <input
															class="form-check-input" type="checkbox"
															name="subresponseRequired"
															formControlName="responseRequired"
															id="subresponseRequired"> Require user response
														</label>
													</div>
												</div>
												<div class="form-group offset-md-2 offset-sm-2 offset-xs-2"
													*ngIf="saqQuestionForm.value.questions[i].questions[j].responseRequired">
													<label class="col-sm-3 form-control-label sub-heading"
														jhiTranslate="pcidssApp.expectedTest.home.title"
														for="field_expTest">Expected Testing</label>
													<div class="row ml-2">
														<select
															class="col-md-5 col-sm-5 col-xs-5 mr-4 custom-select"
															name="expectTest" formControlName="selectedExpectedTest"
															(change)="onSelectSubSubQuestionExpectedTest(i, j)">
															<option value="null">--Select/Add Expected
																Test--</option>
															<option value="add">+ Add new Expected Test</option>
															<option *ngFor="let expTest of existedExpectedTests"
																[ngValue]="expTest">{{expTest.testName}}</option>
														</select>
														<button class="btn btn-primary float-right"
															*ngIf="!saqQuestionForm.value.questions[i].questions[j].addBtnHide"
															(click)="addSubQuestionsExpectedTest(i, j)">Add</button>
													</div>
													<div class="row ml-2 mt-2"
														*ngIf="saqQuestionForm.value.questions[i].questions[j].newExpectedBox">
														<input
															class="form-control col-md-5 col-sm-5 col-xs-5 mr-4"
															name="testName" formControlName="newExpectTest">
														<button class="btn btn-primary float-right"
															(click)="addSubQuestionsNewExpTest(i, j)">Add</button>
													</div>
													<jhi-display-saq-question-error
														[control]="subsubqrow.controls.newExpectTest">
													</jhi-display-saq-question-error>
													<div class="mt-2" formArrayName="expectedTests">
														<label class="form-control-label ml-2 sub-heading">Added
															Expected Tests</label>
														<div class="form-group"
															*ngFor="let exptestrow of getExpectedTest(subsubqrow); let e=index"
															[formGroupName]="e">
															<i
																class="fa fa-times-circle fa float-right text-danger col-sm-6"
																(click)="deleteSubSubQuestionExpectedTestRow(i, j, e)"
																aria-hidden="true"></i>
															<div class="">
																<input
																	class="form-control col-md-5 col-sm-5 col-xs-5 ml-2"
																	name="testName" formControlName="testName" readonly>
															</div>
														</div>
													</div>
												</div>
												<div formArrayName="sections" id="sections">
													<div class="form-group"
														*ngFor="let subsubsubqrow of getSubsubsubSections(subsubqrow); let k=index"
														[formGroupName]="k">
														<div class="card-block">
															<i
																class="fa fa-times-circle fa-lg float-right text-danger"
																(click)="deleteSubsubsubSectionsRow(i, j, k)"
																aria-hidden="true"></i> </br>
															<div class="form-group row">
																<label
																	class="col-md-1 col-sm-1 col-xs-1 form-control-label heading"
																	for="field_SubQNum">Section#:</label>
																<div class="col-md-3 col-sm-3 col-xs-3 ml-5">
																	<input class="form-control" type="text"
																		name="questionNumber" id="questionNumber"
																		formControlName="questionNumber">
																</div>
															</div>
															<div class="form-group row">
																<label class="col-md-1 col-sm-1 col-xs-1 heading">Question:</label>
																<div class="col-sm-10 ml-5">
																	<ckeditor name="questionText"
																		formControlName="questionText" #ckeditor
																		debounce="200"></ckeditor>
																</div>
															</div>
															<div class="row offset-md-1 offset-sm-1 offset-xs-1">
																<div class="form-check col-md-4 col-sm-4 col-xs-4 ml-5">
																	<label class="form-check-label"> <input
																		class="form-check-input" type="checkbox"
																		name="subresponseRequired"
																		formControlName="responseRequired"
																		id="subresponseRequired"> Require user
																		response
																	</label>
																</div>
															</div>
															<div
																class="form-group offset-md-2 offset-sm-2 offset-xs-2"
																*ngIf="saqQuestionForm.value.questions[i].questions[j].sections[k].responseRequired">

																<label class="col-sm-3 form-control-label sub-heading"
																	jhiTranslate="pcidssApp.expectedTest.home.title"
																	for="field_expTest">Expected Testing</label>
																<div class="row ml-2">
																	<select
																		class="col-md-5 col-sm-5 col-xs-5 mr-4 custom-select"
																		name="expectTest"
																		formControlName="selectedExpectedTest"
																		(change)="onSelectSubSubSubQuestionExpectedTest(i, j, k)">
																		<option value="null">--Select/Add Expected
																			Test--</option>
																		<option value="add">+ Add new Expected Test</option>
																		<option *ngFor="let expTest of existedExpectedTests"
																			[ngValue]="expTest">{{expTest.testName}}</option>
																	</select>
																	<button class="btn btn-primary float-right"
																		*ngIf="!saqQuestionForm.value.questions[i].questions[j].sections[k].addBtnHide"
																		(click)="addSubSubSectionsExpectedTest(i, j, k)">Add</button>
																</div>
																<div class="row ml-2 mt-2"
																	*ngIf="saqQuestionForm.value.questions[i].questions[j].sections[k].newExpectedBox">
																	<input
																		class="form-control col-md-5 col-sm-5 col-xs-5 mr-4"
																		name="testName" formControlName="newExpectTest">
																	<button class="btn btn-primary float-right"
																		(click)="addSubSubSectionsNewExpTest(i, j, k)">Add</button>

																</div>
																<jhi-display-saq-question-error
																	[control]="subsubsubqrow.controls.newExpectTest">
																</jhi-display-saq-question-error>
																<div class="mt-2" formArrayName="expectedTests">
																	<label class="form-control-label ml-2 sub-heading">Added
																		Expected Tests</label>
																	<div class="form-group"
																		*ngFor="let exptestrow of getExpectedTest(subsubsubqrow); let e=index"
																		[formGroupName]="e">
																		<i
																			class="fa fa-times-circle fa float-right text-danger col-sm-6"
																			(click)="deleteSubSubSubQuestionExpectedTestRow(i, j, k, e)"
																			aria-hidden="true"></i>
																		<div class="">
																			<input
																				class="form-control col-md-5 col-sm-5 col-xs-5 ml-2"
																				name="testName" formControlName="testName" readonly>
																		</div>
																	</div>
																</div>
															</div>
															<!-- Bullets -->
															<div formArrayName="questions" id="questions">
																<div class="form-group offset-sm-1"
																	*ngFor="let point of getSubSubSectionPoints(subsubsubqrow); let m=index"
																	[formGroupName]="m">
																	<div class="card-block ml-5 point-container">
																		<i
																			class="fa fa-times-circle fa-lg float-right text-danger"
																			(click)="deleteSubSubSectionPointRow(i, j, k, m, 'subSubpoint')"
																			aria-hidden="true"></i> </br>
																		<div class="form-group row">
																			<label
																				class="col-md-1 col-sm-1 col-xs-1 form-control-label heading"
																				for="field_SubQNum">Bullet Point#:</label>
																			<div class="col-md-3 col-sm-3 col-xs-3 ml-5">
																				<input class="form-control" type="text"
																					name="questionNumber" id="questionNumber"
																					formControlName="questionNumber">
																			</div>
																		</div>
																		<div class="form-group row">
																			<label class="col-md-1 col-sm-1 col-xs-1 heading">Question:</label>
																			<div class="col-sm-10 ml-5">
																				<ckeditor name="questionText"
																					formControlName="questionText" #ckeditor
																					debounce="200"></ckeditor>
																			</div>
																		</div>
																		<div class="row offset-md-1 offset-sm-1 offset-xs-1">
																			<div class="form-check ml-5">
																				<label class="form-check-label"> <input
																					class="form-check-input" type="checkbox"
																					name="subresponseRequired"
																					formControlName="responseRequired"
																					id="subresponseRequired"> Require user
																					response
																				</label>
																			</div>
																		</div>
																		<div
																			class="form-group offset-md-2 offset-sm-2 offset-xs-2"
																			*ngIf="saqQuestionForm.value.questions[i].questions[j].sections[k].questions[m].responseRequired">
																			<label class="ml-2 form-control-label sub-heading"
																				jhiTranslate="pcidssApp.expectedTest.home.title"
																				for="field_expTest">Expected Testing</label>
																			<div class="row ml-2">
																				<select
																					class="col-md-6 col-sm-6 col-xs-6 mr-4 custom-select"
																					name="expectTest"
																					formControlName="selectedExpectedTest"
																					(change)="onSelectSubSubPointExpectedTest(i, j, k, m)">
																					<option value="null">--Select/Add Expected
																						Test--</option>
																					<option value="add">+ Add new Expected
																						Test</option>
																					<option
																						*ngFor="let expTest of existedExpectedTests"
																						[ngValue]="expTest">{{expTest.testName}}</option>
																				</select>
																				<button class="btn btn-primary float-right"
																					*ngIf="!saqQuestionForm.value.questions[i].questions[j].sections[k].questions[m].addBtnHide"
																					(click)="addSubSubPointExpectedTest(i, j, k, m)">Add</button>
																			</div>
																			<div class="row ml-2 mt-2"
																				*ngIf="saqQuestionForm.value.questions[i].questions[j].sections[k].questions[m].newExpectedBox">
																				<input
																					class="form-control col-md-6 col-sm-6 col-xs-6 mr-4"
																					name="testName" formControlName="newExpectTest">
																				<button class="btn btn-primary float-right"
																					(click)="addSubSubPointNewExpTest(i, j, k, m)">Add</button>

																			</div>
																			<jhi-display-saq-question-error
																				[control]="point.controls.newExpectTest">
																			</jhi-display-saq-question-error>
																			<div class="mt-2" formArrayName="expectedTests">
																				<label class="form-control-label ml-2 sub-heading">Added
																					Expected Tests</label>
																				<div class="form-group"
																					*ngFor="let exptestrow of getExpectedTest(point); let e=index"
																					[formGroupName]="e">
																					<i
																						class="fa fa-times-circle fa float-right text-danger col-sm-5"
																						(click)="deleteSubSubPointExpectedTestRow(i, j, k, m, e)"
																						aria-hidden="true"></i>
																					<div class="">
																						<input
																							class="form-control col-md-6 col-sm-6 col-xs-6 ml-2"
																							name="testName" formControlName="testName"
																							readonly>
																					</div>
																				</div>
																			</div>
																		</div>
																	</div>
																</div>
															</div>
															<hr
																class="offset-md-2 offset-sm-2 offset-xs-2 col-sm-9 float-left subq-hr">
															<button
																class="offset-md-2 offset-sm-2 offset-xs-2 col-md-3 col-sm-3 col-xs-3 btn text-only-subq-btn float-left"
																(click)="addNewSubSubSectionPointRow(i, j, k)">
																<span class="fa fa-plus fa-md"></span>&nbsp;Add a bullet point
															</button>
														</div>
													</div>
												</div>
												<hr
													class="offset-md-1 offset-sm-1 offset-xs-1 col-sm-10 float-left subq-hr">
												<button
													class="offset-md-1 offset-sm-1 offset-xs-1 col-sm-2 btn text-only-subsubsubq-btn float-left"
													(click)="addNewSubsubsubSectionsRow(i, j)">
													<span class="fa fa-plus fa-md"></span>&nbsp;Add a section
												</button>
											</div>

										</div>

									</div>
									<hr class="col-sm-11 float-left subsubq-hr">
									<button class="btn text-only-subsubq-btn float-left"
										(click)="addNewSubsubQuestionsRow(i)">
										<span class="fa fa-plus fa-md"></span>&nbsp;Add a sub-question
									</button>
								</div>
							</div>
						</div>
					</div>
					<hr class="col-sm-11 float-left subq-hr">
					<button
						class="col-md-3 col-sm-3 col-xs-3 btn text-only-subq-btn float-left"
						(click)="addNewSubquestionRow()"
						*ngIf="!disableSectionSubQuestionBtn">
						<span class="fa fa-plus fa-lg"></span>&nbsp;Add a sub-question
					</button>
				</div>
			</form>
		</div>
		<div class="row-md action-div">
			<button type="submit" class="btn action-btn-with-text cancel"
				(click)="cancel()">
				<span class="fa fa-times fa-lg"></span>&nbsp;<span> Cancel</span>
			</button>
			<button type="submit" class="btn action-btn-with-text edit"
				[disabled]="!saqQuestionForm.valid" (click)="save()">
				<span class="fa fa-save"></span>&nbsp;<span>Save</span>
			</button>
		</div>
	</div>
</div>

